DeflateWithPresetDictCompressionMode (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.codecs.lucene90, class: DeflateWithPresetDictCompressionMode

Package org.apache.lucene.codecs.lucene90

# Class DeflateWithPresetDictCompressionMode

java.lang.Object
org.apache.lucene.codecs.compressing.CompressionMode
org.apache.lucene.codecs.lucene90.DeflateWithPresetDictCompressionMode

public final class DeflateWithPresetDictCompressionMode extends CompressionMode
A compression mode that trades speed for compression ratio. Although compression and decompression might be slow, this compression mode should provide a good compression ratio. This mode might be interesting if/when your index size is much bigger than your OS cache.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.codecs.compressing.CompressionMode

  `FAST, FAST_DECOMPRESSION, HIGH_COMPRESSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeflateWithPresetDictCompressionMode()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Compressor`
  `newCompressor()`
  Create a new `Compressor` instance.
  `Decompressor`
  `newDecompressor()`
  Create a new `Decompressor` instance.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeflateWithPresetDictCompressionMode

    public DeflateWithPresetDictCompressionMode()
    Sole constructor.

- ## Method Details

  - ### newCompressor

    public Compressor newCompressor()
    Description copied from class: `CompressionMode`
    Create a new `Compressor` instance.
    Specified by:
      `newCompressor` in class `CompressionMode`

  - ### newDecompressor

    public Decompressor newDecompressor()
    Description copied from class: `CompressionMode`
    Create a new `Decompressor` instance.
    Specified by:
      `newDecompressor` in class `CompressionMode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`